From 3fb5a64c13f2e22aac27b00137924a9d70ba194c Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1003/1008] Default to ppc7400 for OSX 10.5+

---
 lib/Driver/ToolChains/CommonArgs.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp macports_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
index 1e093b25b9..729369180e 100644
--- llvm_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
+++ macports_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
@@ -318,6 +318,9 @@ std::string tools::getCPUName(const ArgList &Args, const llvm::Triple &T,
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.17.1 (Apple Git-112)

